Package net.snowflake.client.core.json

## Class StringConverter

- java.lang.Object
- - net.snowflake.client.core.json.StringConverter

    public class StringConverter
    extends Object

### Constructor Summary

Constructors

`StringConverter​(TimeZone sessionTimeZone, net.snowflake.common.core.SFBinaryFormat binaryFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter, long resultVersion, SFBaseSession session, Converters converters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getString​(Object obj, int columnType, int columnSubType, int scale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringConverter

    public StringConverter​(TimeZone sessionTimeZone,
                           net.snowflake.common.core.SFBinaryFormat binaryFormatter,
                           net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter,
                           net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter,
                           net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter,
                           net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter,
                           net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter,
                           long resultVersion,
                           SFBaseSession session,
                           Converters converters)

### Method Detail

#### getString

    public String getString​(Object obj,
                            int columnType,
                            int columnSubType,
                            int scale)
                     throws SFException

Throws:
  `SFException`